Subject: bug#79320: 30.2; Doc of `dolist'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Aug 2025 14:36:39 +0300

> Date: Tue, 26 Aug 2025 19:49:42 +0000
> From:  Drew Adams via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Minor enhancement request.
> 
> I believe it's the case that the first arg to `dolist' can be a defvar
> (special/dynamic variable).
> 
> Grepping shows that this is _very rarely_ done.  I gave up scanning a
> full grep of the Emacs sources - I came across _only_ `apropos-item' as
> a defvar: (dolist (apropos-item p) ...)

Where does the documentation say that the first argument to dolist
_cannot_ be a dynamically-bounded variable?